Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesBooking flow
Query availabilitySearch availabilityBookTaxes applying on line items
iduuidUnique identifier
amountintegerAmount of the tax
nameMultiLanguageStringName of the tax
percentagerealPercentage of the tax
type"on-top" | "included"Type of the tax
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"line_item_id": "00000000-0000-0000-0000-000000000000",
"tax_id": "00000000-0000-0000-0000-000000000000",
"amount": 0,
"name": {
"default": "Hello",
"nl-NL": "Hallo"
},
"percentage": 0,
"type": "on-top"
}idFilter<uuid>Unique identifier
amountFilter<integer>Amount of the tax
nameFilter<MultiLanguageString>Name of the tax
percentageFilter<real>Percentage of the tax
typeFilter<"on-top" | "included">Type of the tax
200A list of line item taxes with the selected columns
206Partial Content
GET /line_item_taxescurl -X GET "https://api.bookingmood.com/v1/line_item_taxes?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<LineItemTax> | Array<Partial<LineItemTax>>201The newly created line item taxes with the selected columns
POST /line_item_taxescurl -X POST "https://api.bookingmood.com/v1/line_item_taxes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
amountFilter<integer>Amount of the tax
nameFilter<MultiLanguageString>Name of the tax
percentageFilter<real>Percentage of the tax
typeFilter<"on-top" | "included">Type of the tax
204The deleted line item taxes with the selected columns
DELETE /line_item_taxescurl -X DELETE "https://api.bookingmood.com/v1/line_item_taxes" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
amountFilter<integer>Amount of the tax
nameFilter<MultiLanguageString>Name of the tax
percentageFilter<real>Percentage of the tax
typeFilter<"on-top" | "included">Type of the tax
Partial<LineItemTax>204The updated line item taxes with the selected columns
PATCH /line_item_taxescurl -X PATCH "https://api.bookingmood.com/v1/line_item_taxes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'